# Iraq Perception Study
# merged model explore

# prep ----

# packages, formatting, hh data
source("code/00 Iraq Perception Study - prep.R")

# Premise individual tasks
p1 <- read_rds("data/prepared/premise/Premise International Development task - distinct with disags.rds")

p2 <- read_rds("data/prepared/premise/Premise Media and Communications task - distinct with disags.rds")

p3 <- read_rds("data/prepared/premise/Premise Development Projects task - distinct with disags.rds")

p4 <- read_csv("data/prepared/premise/Premise Governance task - distinct.rds")

# merged premise
merg_prem <- read_rds("data/prepared/Iraq Perception Study - merged premise tasks.rds")

merg_premNames <- data.frame(names(merg_prem))

# hh and premise merged
merg <- read_rds("data/prepared/Iraq Perception Study - merged data.rds")
mergNames <- data.frame(names(merg))

  # this hack was ported into premise data prep

# frq(p2$social_media_ord)
#
# soc_med_task <- p2_distinct %>%
#   select(user_id, social_media_ord)
#
# merg_prem <- merg_prem %>%
#   inner_join(soc_med_task,
#              by="user_id")

# another hack 4 Oct 2021

frq(merged_premise$B9)

merged_premise <- merged_premise %>%
  mutate(USAID_perf_ord = case_when(B9 == "A very bad job" ~ -2,
                                    B9=="A somewhat bad job" ~ -1,
                                    #B9 == "I don't know" ~ 0, # nope
                                    B9 == "A somewhat good job" ~ 1,
                                    B9 == "A very good job" ~ 2,
                                    TRUE ~ 0))

frq(merged_premise$USAID_perf_ord)

## modeling object ----


frq(merg$premise)
frq(merg$locality)
frq(merg$Gov)
frq(merg$rel_grp4) # 93
frq(merg$ses) # 59
frq(merg$inc) # 167
frq(merg$never_married) # 1
frq(merg$seen_USAID)
frq(merg$wk_hrs_radio_filt)
frq(merg$internet_access)
frq(merg$social_media_engage) # 17
frq(merg$social_media_ord) # 17
frq(merg$right_direction) # 20
frq(merg$perf_fed) # 173
frq(merg$F2_ord) # 180
frq(merg$F4_bin) # 281
frq(merg$F5_bin)

merg2 <- merg %>%
  mutate(shiite = case_when(rel_grp4==2 ~ 1,
                            TRUE ~ 0),
         unemployed = case_when(employ3==3 ~ 1,
                                TRUE ~ 0),
         wk_hrs_radio=ifelse(is.na(wk_hrs_radio),0,wk_hrs_radio),
         wk_hrs_tv=ifelse(is.na(wk_hrs_tv), 0,
                          ifelse(wk_hrs_tv>84, 84, wk_hrs_tv)),
         daily_hrs_radio = wk_hrs_radio / 7,
         daily_hrs_tv = wk_hrs_tv/7,
         never_married = case_when(is.na(never_married) ~ 0,
                                   TRUE ~ never_married),
         right_direction = case_when(is.na(right_direction) ~ 0,
                                     TRUE ~ right_direction),
         perf_fed_cen = case_when(perf_fed==1 ~ -2,
                                  perf_fed==2 ~ -1,
                                  is.na(perf_fed) ~ 0,
                                  perf_fed==3 ~ 1,
                                  perf_fed==4 ~ 2,
                                  TRUE ~ perf_fed),
         unsafe=case_when(F2_bin==1 ~ 1,
                          TRUE ~ 0),
         unsafe_cen = case_when(F2_ord==1 ~ -2,
                                F2_ord==2 ~ -1,
                                is.na(F2_ord) ~ 0,
                                F2_ord==3 ~ 1,
                                F2_ord==4 ~ 2),
         victim_witness = case_when(F4_bin==1 | F5_bin==1 ~  1,
                                    TRUE ~ 0))

## merged exploration ----

### C15 news ----

c15 <- merg %>%
  select(C15_1_bin:C15_10_bin)

frq(c15$C15_1_bin)

fa.parallel(c15, cor="tet")

c15_fa_4 <- fa(c15,
             nfactors = 4,
             cor="tet")

c15_fa_4
# fac1: radio, newspaper, pamphlets, billboards, mosque
# fac2: internet, social media, friends/family
# fac3: tv
# fac4: mosque, elders/shura

c15_fa_3 <- fa(c15,
               nfactors=3,
               cor="tet")

c15_fa_3
# fac1: radio, newspaper, pamphlets, billboards
# fac2: internet, social media, tv, friends/family
# fac3: elders/shura, mosque

c15_fa_2 <- fa(c15,
               nfactors=2,
               cor="tet")

c15_fa_2
# fac1: newspaper, pamphlets, billboards, radio, mosque, elders/shura
# fac2: internet, social media, friends/family

# Let's go with four factors

# describe(c15_fa_3$scores)
#
# fac3 <- c15_fa_3$scores %>%
#   as.data.frame()
#
# ggplot(fac3, aes(MR3)) +
#   geom_density()
#
# merg2 <- merg2 %>%
#   mutate(news_print = fac3$MR1,
#          news_social = fac3$MR2,
#          news_elders = fac3$MR3)

c15_fa_4

fac4 <- c15_fa_4$scores %>%
  as.data.frame()

head(fac4)

merg2 <- merg2 %>%
  mutate(news_print_radio = fac4$MR1,
         news_social = fac4$MR2,
         news_tv = fac4$MR3,
         news_elders = fac4$MR4)



### D1 ----

frq(merg$D1a_bin)

frq(dat$D1a_bin)
frq(dat$D1)

d1 <- merg %>%
  select(D1a_bin:D1k_bin)

head(d1)

fa.parallel(d1,
            cor="tet")

d1_fa_4 <- fa(d1,
              nfactors=4,
              cor="tet")

d1_fa_4

# fac1: water, irrigation,


d1_fa_3 <- fa(d1,
              nfactors=3,
              cor="tet")

d1_fa_3


d1_fa_2 <- fa(d1,
              nfactors=2,
              cor="tet")

d1_fa_2


d1_fa_1 <- fa(d1,
              nfactors=1,
              cor="tet")

d1_fa_1


d1fin <- read_csv("data/premise/final premise/Development projects/6729249565442048_all.csv")


## terms ----

names(aware_merg)
base <- paste("aware ~ premise")

names(merg2)
media_form <- paste(names(merg2)[c(187, 188, 182,67:76)], collapse=" + ")
# daily hours radio, daily hours tv, social media ord, C15
media_form


preds <- "shiite + female + rural + education + madrassa_ord + age_grp + ses + never_married"

mods <- "right_direction + perf_fed_cen + unsafe_cen + victim_witness "

treats <- "seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training"

treats

# aware ----

aware_merg <- merg2 %>%
  select(id,
         hh,
         premise,
         aware,
         daily_hrs_radio,
         daily_hrs_tv,
         social_media_ord,
         C15_1_bin:C15_10_bin,
         shiite,
         female,
         rural,
         education,
         madrassa_ord,
         age_grp,
         unemployed,
         ses,
         never_married,
         right_direction,
         perf_fed_cen,
         unsafe_cen,
         victim_witness,
         Gov) %>%
  na.omit()

## aware linear ----

describe(aware_merg$daily_hrs_radio)
describe(aware_merg$daily_hrs_tv)
frq(aware_merg$social_media_ord)
frq(aware_merg$education)

aw1 <- lm(aware ~ premise,
          data=aware_merg)

summary(aw1)

aw2 <- lm(aware ~ premise + as.factor(Gov),
          data=aware_merg)

summary(aw2)


aw3 <- lm(aware ~ premise + daily_hrs_radio + daily_hrs_tv + social_media_ord,
          data=aware_merg)

summary(aw3)


aw4 <- lm(media_form,
          data=aware_merg)

summary(aw4)


aw5 <- lm(aware ~ premise + wk_hrs_radio + social_media_ord,
          data=aware_merg)

summary(aw5)

aw6 <- lm(aware ~ premise + social_media_ord,
          data=aware_merg)

summary(aw6)


aw7 <- lm(aware ~ premise + wk_hrs_radio + wk_hrs_tv + social_media_ord +
            shiite + female + rural + education,
          data=aware_merg)

summary(aw7)


aw8 <- lm(aware ~ premise + wk_hrs_radio + wk_hrs_tv + social_media_ord +
            shiite + female + rural + education + age_grp + ses + never_married,
          data=aware_merg)

summary(aw8)


aw9 <- lm(aware ~ premise + daily_hrs_radio + daily_hrs_tv + social_media_ord +
            shiite + female + rural + education + age_grp + ses + never_married +
            unemployed + madrassa +
            right_direction + perf_fed_cen + unsafe_cen + victim_witness,
          data=aware_merg)

summary(aw9)



aw10 <- paste(base, media_form, sep="+") %>%
  formula() %>%
  lm(data=aware_merg)

aw10

summary(aw10)


aw11 <- paste(base, media_form, preds, sep="+") %>%
  formula() %>%
  lm(data=aware_merg)

summary(aw11)


aw12 <- paste(base, media_form, preds, mods, sep="+") %>%
  formula() %>%
  lm(data=aware_merg)

summary(aw12)

aw13 <- paste(base, media_form, preds, mods, "as.factor(Gov)", sep="+") %>%
  formula() %>%
  lm(data=aware_merg)

summary(aw13)


## aware regtable ----

temp <- tidy(aw13)
temp

aw_lab <- c("Intercept",
            "Crowdsource survey",
            "Daily radio consumption (hours)",
            "Daily TV consumption (hours)",
            "Social media usage (0-5)",
            "News: Radio",
            "News: TV",
            "News: Newspaper",
            "News: Pamphlets",
            "News: Posters/Billboards",
            "News: Internet",
            "News: Social media",
            "News: Mosque",
            "News: Elders/Shuras",
            "News: Friends/family",
            "Shiite",
            "Female",
            "Rural locality",
            "Level of education (1-3)",
            "Madrassa education (0-3)",
            "Age group (1-3)",
            "Socio-economic status (1-10)",
            "Never married",
            "Govt. Iraq right direction",
            "Performance of federal government",
            "Feel unsafe in community (-2 to 2)",
            "Victim to or witnessed violence",
            "Ninewa",
            "Anbar",
            "Baghdad",
            "Basra")

aw_key <- data.frame(term=temp$term,
                       term_lab=aw_lab)
aw_key

tab_model(aw10,
          aw11,
          aw12,
          aw13,
          digits=3,
          show.ci=.95,
          show.aic=T,
          show.p=F,
          show.loglik=T,
          auto.label=F,
          collapse.ci=T,
          p.style="stars",
          pred.labels = aw_lab,
          dv.labels=c("Model 1\nBase model",
                      "Model 2\nWith media engagement",
                      "Model 3\nMedia engagement and demographics",
                      "Model 4\nGovernorate fixed effects"),
          file="output/models/hh Premise merged/Aware merged.doc")

## aware regplot ----

aw_lm_out <- tidy_out(aw13,
                      term_key=aw_key)

aw_lm_out

aw_lm_filt <- aw_lm_out %>%
  filter(color=="#BA0C2F" | color=="#002F6C")

aw_lm_filt

regplot(aw_lm_filt,
        xmin=-.1,
        xmax=.1,
        limits=c(-.127,.119))

ggsave("output/viz/models/hh premise merged/aware merged.png",
       device="png",
       type="cairo",
       height=4,
       width=7)


## aware Bayes ----

aw_b1 <- brm(aware ~ premise,
             data=aware_merg)
summary(aw_b1)

aw_b2 <- paste(base, media_form, sep="+") %>%
  formula() %>%
  brm(data=aware_merg,
      chains=4,
      cores=2,
      backend = "cmdstanr",
      control = list(adapt_delta=.99))

summary(aw_b2, digits=3)


aw_b3 <- paste("aware ~ 0", media_form, "(1|premise)", sep="+") %>%
  formula() %>%
  brm(data=aware_merg,
      chains=4,
      cores=8,
      #iter=4000,
      backend = "cmdstanr",
      control = list(adapt_delta=.99),
      file="output/models/hh Premise merged/aware b3.rds")

summary(aw_b3, digits=3)

ranef(aw_b3)

tes <- brm(aware ~ daily_hrs_radio + daily_hrs_tv + social_media_ord + (1|premise),
           data=aware_merg)

summary(tes)

ranef(tes)

tes2 <- brm(aware ~ (daily_hrs_radio + daily_hrs_tv + social_media_ord | premise),
           data=aware_merg)

summary(tes2)

ranef(tes2)

aw_b4 <- brm(aware ~ (0 + daily_hrs_radio + daily_hrs_tv + social_media_ord | premise),
             data=aware_merg,
             chains=4,
             cores=8,
             iter=4000,
             backend = "cmdstanr",
             control = list(adapt_delta=.99),
             file="output/models/hh Premise merged/aware b4.rds")

aw_b4 <- read_rds("output/models/hh Premise merged/aware b4.rds")

summary(aw_b4, digits=3)
fixef(aw_b4)
ranef(aw_b4)

plot_model(aw_b4,
           type="re")

?stanplot
stanplot(aw_b4)

library(brmstools)
?coefplot
coefplot(aw_b4,
         grouping="premise")

library(tidybayes)

library(rstanarm)
?stan_glmer

aw_b4_stn <- stan_glmer(aware ~ (daily_hrs_radio + daily_hrs_tv + social_media_ord | premise),
             data=aware_merg,
             #chains=8,
             cores=8,
             #iter=4000,
             #backend = "cmdstanr",
             control = list(adapt_delta=.99))
             #file="output/models/hh Premise merged/aware b4 stn.rds")


write_rds(aw_b4_stn, file="output/models/hh Premise merged/aware b4 stn.rds")
aw_b4_stn <- read_rds(aw_b4_stn, file="output/models/hh Premise merged/aware b4 stn.rds")

summary(aw_b4_stn, digits=3)
fixef(aw_b4_stn)
ranef(aw_b4_stn)

str(aw_b4_stn)

plot(aw_b4_stn)

aw_b4_stn_out <- data.frame(aw_b4_stn)

library(broom.mixed)
a <- tidy(aw_b4_stn)
a
fixef(aw_b4_stn)
ranef(aw_b4_stn)[1]

b <- ranef(aw_b4_stn) %>%
  as.data.frame() %>%
  mutate(value = condval + fixef(aw_b4_stn))
b

tes <- aw_b4_stn %>%
  spread_draws(b[term,group])

head(tes)

frq(tes$term)
frq(tes$group)

tes <- tes %>%
  as.data.frame() %>%
  mutate(data=ifelse(group=="premise:0", "Crowdsource","Household"),
         id=paste(.chain, .iteration, .draw))

str(tes)

ggplot(tes, aes(x=b, y=term)) +
  stat_halfeye()

ggplot(filter(tes, data=="Crowdsource"), aes(x=b, y=term)) +
  stat_halfeye() +
  #geom_pointinterval() +
  scale_x_continuous(limits=c(-.3,.3))


  facet_wrap(~data)

ggplot(tes, aes(x=b, y=term, color=data)) +
  geom_point()

?pivot_wider
tes2 <- tes %>%
  as.data.frame() %>%
  mutate(id=paste(.chain, .iteration, .draw)) %>%
  select(1,3,7,8) %>%
  pivot_wider(
              values_from="b",
              names_from="data")

ggplot(tes2, aes(y=term)) +
  stat_halfeye(aes(x="Crowdsource"))
+
  stat_halfeye(aes(x="Household"))

tes3 <- tes %>%
  group_by(term, data) %>%
  summarize(std.err = sd(b),
            b=mean(b))



aw_b5_stn <- stan_glmer(aware ~ daily_hrs_radio + daily_hrs_tv + social_media_ord + (daily_hrs_radio + daily_hrs_tv + social_media_ord | premise),
                        data=aware_merg,
                        cores=8,
                        control = list(adapt_delta=.99))

summary(aw_b5_stn, digits=3)
coef(aw_b5_stn)

coeff <- coef(aw_b5_stn)

%>%
  as.matrix()
%>%
  as.data.frame()

coeff

a <- data.frame(fixef=fixef(aw_b5_stn)) %>%
  rownames_to_column("term")
a

b <- ranef(aw_b5_stn) %>%
  as.data.frame()
b

b_wide <- b %>%
  pivot_wider(names_from=grp,
              values_from=4:5)

b_wide

plot_model(aw_b5_stn, type="re")

aw_b5_out <- a %>%
  left_join(b_wide) %>%
  mutate(Crowdsource=fixef+condval_1,
         crowdsource_sd=condsd_1,
         Household=fixef+condval_0,
         hh_sd=condsd_0) %>%
  select(1,8:11)

aw_b5_out

aw_b5_coef <- aw_b5_out %>%
  select(1,2,4) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="coef")

aw_b5_coef

aw_b5_sd <- aw_b5_out %>%
  select(1,3,5) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="sd")
aw_b5_sd

aw_b5_long <- aw_b5_coef %>%
  cbind(aw_b5_sd[,3]) %>%
  #left_join(aw_b5_sd, by="term") %>%
  filter(term!="(Intercept)")

aw_b5_long

ggplot(aw_b5_long, aes(x=coef, y=term, color=data, group=data)) +
  #geom_point()
  geom_point(position=position_dodge(width=.4), size=3) +
  geom_errorbar(aes(xmin=coef-1.96*sd,
                    xmax=coef+1.96*sd),
                position=position_dodge(width=.4),
                width=0,
                size=1,
                alpha=.7) +
  scale_color_manual(values=c("#BA0C2F","#002F6C")) +
  scale_x_continuous(labels=percent_format(accuracy=1)) +
  theme(legend.title=element_blank()) +
  labs(x="",
       y="")

ggsave("output/viz/models/hh premise merged/merged coef plot test.png",
       type="cairo",
       device="png",
       height=4,
       width=7)


ggplot(aw_b5_out[-1,], aes(y=term)) +
  geom_jitter(aes(x=hh), size=3,width=0, height=.08, color="maroon") +
  geom_jitter(aes(x=premise), size=3,width=0, height=.08, color="darkblue")

pp_check(aw_b5_stn)

aw_b5_out <- data.frame(term=fe = fixef(aw_b5_stn))
aw_b5_out


plot(ranef(aw_b5_stn))
stan_plot(aw_b5_stn)

aw_b5_sim <- data.frame(aw_b5_stn)


### aware b6 ----

all <- paste(media_form, preds, mods, " as.factor(Gov)", sep="+")

all

paste("aware ~ ", all)

form <- paste(
  paste("aware ~ ", all),
  "+ (", all, "| premise)")

form

aw_b6 <- form %>%
  formula() %>%
  stan_glmer(data=aware_merg,
             cores=8,
             control = list(adapt_delta=.99))

  paste(base, media_form, preds, mods, " as.factor(Gov)", sep="+") +
  (paste(media_form, preds, mods, "as.factor(Gov)", sep="+"), paste(" | premise")) %>%
  formula() %>%
  brm(data=aware_merg,
      chains=4,
      cores=2,
      backend = "cmdstanr",
      control = list(adapt_delta=.99))

summary(aw_b2, digits=3)

aw_b6_stn <- stan_glmer(aware ~ daily_hrs_radio + daily_hrs_tv + social_media_ord + C15_1_bin +
                          C15_2_bin + C15_3_bin + C15_4_bin + C15_5_bin + C15_6_bin + C15_7_bin +
                          C15_8_bin + C15_9_bin + C15_10_bin + shiite + female + rural + education +
                          madrassa_ord + age_grp + ses + never_married + right_direction + perf_fed_cen + unsafe_cen + victim_witness + as.factor(Gov) +
                          (daily_hrs_radio + daily_hrs_tv + social_media_ord + C15_1_bin + C15_2_bin +
                             C15_3_bin + C15_4_bin + C15_5_bin + C15_6_bin + C15_7_bin + C15_8_bin +
                             C15_9_bin + C15_10_bin + shiite + female + rural + education + madrassa_ord +
                             age_grp + ses + never_married + right_direction + perf_fed_cen + unsafe_cen +
                             victim_witness + as.factor(Gov) | premise),
                        data=aware_merg,
                        cores=8,
                        control = list(adapt_delta=.99)))

write_rds(aw_b6, file="output/models/hh Premise merged/aware b6 stn.rds")

aw_b6_stn <- read_rds("output/models/hh Premise merged/aware b6 stn.rds")

summary(aw_b6_stn, digits=3)

a <- data.frame(fixef=fixef(aw_b6_stn)) %>%
  rownames_to_column("term")
a

b <- ranef(aw_b6_stn)

ranef(aw_b6_stn)

coef(aw_b6_stn)

%>%
  as.data.frame()
b

b_wide <- b %>%
  pivot_wider(names_from=grp,
              values_from=4:5)

b_wide

plot_model(aw_b5_stn, type="re")

aw_b5_out <- a %>%
  left_join(b_wide) %>%
  mutate(Crowdsource=fixef+condval_1,
         crowdsource_sd=condsd_1,
         Household=fixef+condval_0,
         hh_sd=condsd_0) %>%
  select(1,8:11)

aw_b5_out

aw_b5_coef <- aw_b5_out %>%
  select(1,2,4) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="coef")

aw_b5_coef

aw_b5_sd <- aw_b5_out %>%
  select(1,3,5) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="sd")
aw_b5_sd

aw_b5_long <- aw_b5_coef %>%
  cbind(aw_b5_sd[,3]) %>%
  #left_join(aw_b5_sd, by="term") %>%
  filter(term!="(Intercept)")

aw_b5_long

ggplot(aw_b5_long, aes(x=coef, y=term, color=data, group=data)) +
  #geom_point()
  geom_point(position=position_dodge(width=.4), size=3) +
  geom_errorbar(aes(xmin=coef-1.96*sd,
                    xmax=coef+1.96*sd),
                position=position_dodge(width=.4),
                width=0,
                size=1,
                alpha=.7) +
  scale_color_manual(values=c("#BA0C2F","#002F6C")) +
  scale_x_continuous(labels=percent_format(accuracy=1)) +
  theme(legend.title=element_blank()) +
  labs(x="",
       y="")

ggsave("output/viz/models/hh premise merged/merged coef plot test.png",
       type="cairo",
       device="png",
       height=4,
       width=7)



# perception ----

percep_merg <- merg2 %>%
  select(id,
         hh,
         premise,
         percept,
         percept_bin,
         improve_percept,
         seen_USAID, # exposure
         USAID_message,
         USAID_activity,
         USAID_branded_acts,
         USAID_training,
         info_treat,
         daily_hrs_radio,
         daily_hrs_tv,
         social_media_ord,
         C15_1_bin:C15_10_bin,
         news_print_radio:news_elders,
         shiite,
         female,
         rural,
         education,
         madrassa_ord,
         age_grp,
         unemployed,
         ses,
         never_married,
         right_direction,
         perf_fed_cen,
         unsafe_cen,
         victim_witness,
         Gov) %>%
  na.omit()

## perception linear ----

perc1 <- lm(percept_bin ~ premise,
            data=percep_merg)

summary(perc1)

perc2 <- paste("percept_bin ~ premise", media_form, sep="+") %>%
  formula() %>%
  lm(data=percep_merg)

summary(perc2)

perc2.1 <- paste("percept_bin ~ premise", "news_print_radio",
                 "news_social",
                 "news_tv",
                 "news_elders",
                 sep="+") %>%
  formula() %>%
  lm(data=percep_merg)

summary(perc2.1)



perc3 <- paste("percept_bin ~ premise", media_form, preds, sep="+") %>%
  formula() %>%
  lm(data=percep_merg)

summary(perc3)


perc4 <- paste("percept_bin ~ premise", media_form, preds, mods, sep="+") %>%
  formula() %>%
  lm(data=percep_merg)

summary(perc4)


perc5 <- paste("percept_bin ~ premise", media_form, preds, mods, "as.factor(Gov)", sep="+") %>%
  formula() %>%
  lm(data=percep_merg)

summary(perc5)


## perception regtable ----

temp <- tidy(perc5)
temp

percep_lab <- c("Intercept",
            "Crowdsource survey",
            "Daily radio consumption (hours)",
            "Daily TV consumption (hours)",
            "Social media usage (0-5)",
            "News: Radio",
            "News: TV",
            "News: Newspaper",
            "News: Pamphlets",
            "News: Posters/Billboards",
            "News: Internet",
            "News: Social media",
            "News: Mosque",
            "News: Elders/Shuras",
            "News: Friends/family",
            "Shiite",
            "Female",
            "Rural locality",
            "Level of education (1-3)",
            "Madrassa education (0-3)",
            "Age group (1-3)",
            "Socio-economic status (1-10)",
            "Never married",
            "Govt. Iraq right direction",
            "Performance of federal government",
            "Feel unsafe in community (-2 to 2)",
            "Victim to or witnessed violence",
            "Ninewa",
            "Anbar",
            "Baghdad",
            "Basra")

percep_key <- data.frame(term=temp$term,
                     term_lab=percep_lab)
percep_key

tab_model(perc1,
          perc2,
          perc3,
          perc4,
          perc5,
          digits=3,
          show.ci=.95,
          show.aic=T,
          show.p=F,
          show.loglik=T,
          auto.label=F,
          collapse.ci=T,
          p.style="stars",
          pred.labels = percep_lab,
          dv.labels=c("Model 1\nBase model",
                      "Model 2\nWith media engagement",
                      "Model 3\nMedia engagement and demographics",
                      "Model 4\nMedia engagement, demographics, moderators",
                      "Model 5\nGovernorate fixed effects"),
          file="output/models/hh Premise merged/Perception merged.doc")


## perception regplot ----

perc_lm_out <- tidy_out(perc5,
                      term_key=percep_key)

perc_lm_out

perc_lm_filt <- perc_lm_out %>%
  filter(color=="#BA0C2F" | color=="#002F6C" | term=="premise")

perc_lm_filt

regplot(perc_lm_filt,
        xmin=-.25,
        xmax=.35,
        limits=c(-.262,.379)) +
  scale_x_continuous(breaks=seq(-.25,.35,.1),
                     labels=percent_format(accuracy=1))

ggsave("output/viz/models/hh premise merged/percep merged.png",
       device="png",
       type="cairo",
       height=4,
       width=7)

## perception treat Bayes ----

perc6 <- paste("percept_bin ~ premise", treats, media_form, preds, mods, "as.factor(Gov)", sep="+") %>%
  formula() %>%
  lm(data=percep_merg)

summary(perc6)


perc7 <- paste("percept_bin ~ premise", treats, "premise:seen_USAID", "premise:USAID_message", media_form, preds, mods, "as.factor(Gov)", sep="+") %>%
  formula() %>%
  lm(data=percep_merg)

summary(perc7)



## perception treat Bayes ----

treats

perc8 <- paste("percept_bin ~ premise", treats, "premise:USAID_message", sep="+") %>%
  formula() %>%
  lm(data=percep_merg)

perc8 <- stan_glmer(percept_bin ~ seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training +
                      (seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training | premise),
                    data=percep_merg,
                    cores=8,
                    control = list(adapt_delta=.99))

write_rds(perc8, file="output/models/hh Premise merged/perception 8.rds")

perc8 <- read_rds("output/models/hh Premise merged/perception 8.rds")

summary(perc8, digits=3)

a <- data.frame(fixef=fixef(perc8)) %>%
  rownames_to_column("term")
a

b <- ranef(perc8) %>%
  as.data.frame()
b

b_wide <- b %>%
  pivot_wider(names_from=grp,
              values_from=4:5)

b_wide

perc8_out <- a %>%
  left_join(b_wide) %>%
  mutate(Crowdsource=fixef+condval_1,
         crowdsource_sd=condsd_1,
         Household=fixef+condval_0,
         hh_sd=condsd_0) %>%
  select(1,8:11)

perc8_out

perc8_coef <- perc8_out %>%
  select(1,2,4) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="coef")

perc8_coef

perc8_sd <- perc8_out %>%
  select(1,3,5) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="sd")
perc8_sd

perc8_long <- perc8_coef %>%
  cbind(perc8_sd[,3]) %>%
  #left_join(aw_b5_sd, by="term") %>%
  filter(term!="(Intercept)") %>%
  mutate(term_lab = rep(c("Seen USAID logo",
                          "Exposed to USAID\nmedia message",
                          "Received information\nabout USAID",
                          "Aware of USAID\ndevelopment activity",
                          "Participated in\nUSAID activity"),each=2)) %>%
  .[-10,] # remove coefficient with zero cases in hh data

perc8_long

ggplot(perc8_long, aes(x=coef, y=term_lab, color=data, group=data)) +
  geom_vline(xintercept=0, size=1, color="grey60", alpha=.7) +
  geom_errorbar(aes(xmin=coef-1.96*sd,
                    xmax=coef+1.96*sd),
                position=position_dodge(width=.8),
                width=0,
                size=1,
                alpha=.7) +
  geom_label(aes(label=paste0(round(coef*100,1), "%")),
             size=4.5,
             position=position_dodge(width=.8)) +
  #scale_color_manual(values=c("#BA0C2F","#002F6C")) +
  scale_color_manual(values=c("darkgoldenrod","orchid4")) +
  scale_x_continuous(limits=c(-.28, .45),
                     breaks=seq(-.2,.45,.2),
                     labels=percent_format(accuracy=1)) +
  theme(legend.title=element_blank()) +
  labs(x="",
       y="") +
  theme(legend.position="bottom")


ggsave("output/viz/models/hh premise merged/merged perc8 coefplot.png",
       type="cairo",
       device="png",
       height=5,
       width=7)


### perc 9 ----

perc9 <- stan_glmer(percept_bin ~ seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training +
                      daily_hrs_radio + daily_hrs_tv + social_media_ord + C15_1_bin + C15_2_bin + C15_3_bin +
                      C15_4_bin + C15_5_bin + C15_6_bin + C15_7_bin + C15_8_bin + C15_9_bin + C15_10_bin+shiite +
                      female + rural + education + madrassa_ord + age_grp + ses + never_married+right_direction +
                      perf_fed_cen + unsafe_cen + victim_witness +as.factor(Gov) +
                      (seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training | premise),
                    data=percep_merg,
                    cores=8,
                    control = list(adapt_delta=.99))

write_rds(perc9, file="output/models/hh Premise merged/perception 9.rds")

perc9 <- read_rds("output/models/hh Premise merged/perception 9.rds")

summary(perc9, digits=3)

a <- data.frame(fixef=fixef(perc9)) %>%
  rownames_to_column("term") %>%
  .[1:6,]
a

b <- ranef(perc9) %>%
  as.data.frame() %>%
  .[1:12,] # just treatment variables
b

b_wide <- b %>%
  pivot_wider(names_from=grp,
              values_from=4:5)

b_wide

perc9_out <- a %>%
  left_join(b_wide) %>%
  mutate(Crowdsource=fixef+condval_1,
         crowdsource_sd=condsd_1,
         Household=fixef+condval_0,
         hh_sd=condsd_0) %>%
  select(1,8:11)

perc9_out

perc9_coef <- perc9_out %>%
  select(1,2,4) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="coef")

perc9_coef

perc9_sd <- perc9_out %>%
  select(1,3,5) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="sd")
perc9_sd

perc9_long <- perc9_coef %>%
  cbind(perc9_sd[,3]) %>%
  #left_join(aw_b5_sd, by="term") %>%
  filter(term!="(Intercept)") %>%
  mutate(term_lab = rep(c("Seen USAID logo",
                          "Exposed to USAID\nmedia message",
                          "Received information\nabout USAID",
                          "Aware of USAID\ndevelopment activity",
                          "Participated in\nUSAID activity"),each=2),
         lower=coef-1.96*sd,
         upper=coef+1.96*sd) %>%
  .[-10,] # remove coefficient with zero cases in hh data

perc9_long

ggplot(perc9_long, aes(x=coef, y=term_lab, color=data, group=data)) +
  geom_vline(xintercept=0, size=1, color="grey60", alpha=.7) +
  geom_errorbar(aes(xmin=lower,
                    xmax=upper),
                position=position_dodge(width=.7),
                width=0,
                size=1,
                alpha=.7) +
  geom_label(aes(label=paste0(round(coef*100,1), "%")),
             size=4.5,
             position=position_dodge(width=.7)) +
  #scale_color_manual(values=c("#BA0C2F","#002F6C")) +
  scale_color_manual(values=c("darkgoldenrod","orchid4")) +
  scale_x_continuous(limits=c(-.143, .283),
                     breaks=seq(-.15,.253,.1),
                     labels=percent_format(accuracy=1)) +
  theme(legend.title=element_blank()) +
  labs(x="",
       y="") +
  theme(legend.position="bottom")


ggsave("output/viz/models/hh premise merged/merged perc9 coefplot.png",
       type="cairo",
       device="png",
       height=5,
       width=7)

## perception treat Bayes probit

perc9_prob <- stan_glmer(percept_bin ~ seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training +
                      daily_hrs_radio + daily_hrs_tv + social_media_ord + C15_1_bin + C15_2_bin + C15_3_bin +
                      C15_4_bin + C15_5_bin + C15_6_bin + C15_7_bin + C15_8_bin + C15_9_bin + C15_10_bin+shiite +
                      female + rural + education + madrassa_ord + age_grp + ses + never_married+right_direction +
                      perf_fed_cen + unsafe_cen + victim_witness +as.factor(Gov) +
                      (seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training | premise),
                    data=percep_merg,
                    cores=8,
                    family=binomial(link="probit"),
                    control = list(adapt_delta=.99),
                    prior_intercept=normal(location=0, scale=8, autoscale=T),
                    prior=normal(location=0, scale=1.5, autoscale=T))

write_rds(perc9, file="output/models/hh Premise merged/perception 9.rds")

perc9 <- read_rds("output/models/hh Premise merged/perception 9.rds")

summary(perc9, digits=3)

## perception treat Bayes logistic

perc9_log <- stan_glmer(percept_bin ~ seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training +
                           daily_hrs_radio + daily_hrs_tv + social_media_ord + C15_1_bin + C15_2_bin + C15_3_bin +
                           C15_4_bin + C15_5_bin + C15_6_bin + C15_7_bin + C15_8_bin + C15_9_bin + C15_10_bin+shiite +
                           female + rural + education + madrassa_ord + age_grp + ses + never_married+right_direction +
                           perf_fed_cen + unsafe_cen + victim_witness +as.factor(Gov) +
                           (seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training | premise),
                         data=percep_merg,
                         cores=8,
                         family=binomial(link="logit"),
                         control = list(adapt_delta=.99))

write_rds(perc9_log, file="output/models/hh Premise merged/perception 9 logistic.rds")

perc9_log <- read_rds("output/models/hh Premise merged/perception 9 logistic.rds")

summary(perc9_log, digits=3)
# -3.107
-3.107 + .001616 # -3.11
-3.107 - .000928 # -3.11

# .750 mes

.750 - .0141 # .736
.75 + .0111 # .761

plot(perc9_log)

perc9_log_coeftemp <- coef(perc9_log)

perc9_log_coef <- data.frame(perc9_log_coeftemp[1]) %>%
  t() %>%
  as.data.frame() %>%
  rownames_to_column("measure") %>%
  mutate(hh_e = exp(`0`),
         cs_e = exp(`1`))

perc9_log_coef

a <- posterior_interval(perc9_log, prob=.9) %>%
  round(3)

a

ranef(perc9_log)

perc9_log_out

linpred <- posterior_linpred(perc9_log)
head(linpred)

margins(perc9_log)

?sjplot
sjplot.int(perc9_log,
       type="eff")

plot_model(perc9_log,
           type="eff")

# performance ----

perf_merg <- merg2 %>%
  select(id,
         hh,
         premise,
         USAID_performance,
         USAID_perf_ord,
         seen_USAID, # exposure
         USAID_message,
         USAID_activity,
         USAID_branded_acts,
         USAID_training,
         info_treat,
         daily_hrs_radio,
         daily_hrs_tv,
         social_media_ord,
         C15_1_bin:C15_10_bin,
         shiite,
         female,
         rural,
         education,
         madrassa_ord,
         age_grp,
         unemployed,
         ses,
         never_married,
         right_direction,
         perf_fed_cen,
         unsafe_cen,
         victim_witness,
         Gov) %>%
  na.omit()


## performance linear ----

frq(merg$USAID_performance)
frq(merg$B3_trend)

perf1 <- lm(USAID_performance ~ premise,
            data=perf_merg)

summary(perf1)

perf2 <- paste("USAID_performance ~ premise", media_form, sep="+") %>%
  formula() %>%
  lm(data=perf_merg)

summary(perf2)

perf3 <- paste("USAID_performance ~ premise", media_form, preds, sep="+") %>%
  formula() %>%
  lm(data=perf_merg)

summary(perf3)


perf4 <- paste("USAID_performance ~ premise", media_form, preds, mods, sep="+") %>%
  formula() %>%
  lm(data=perf_merg)

summary(perf4)


perf5 <- paste("USAID_performance ~ premise", media_form, preds, mods, "as.factor(Gov)", sep="+") %>%
  formula() %>%
  lm(data=perf_merg)

summary(perf5)

a <- margins(perf5) %>%
  as.data.frame()
a
summary(a)

a <- cplot(perf5, "social_media_ord", what="prediction")
a

## performance regtable ----

temp <- tidy(perf5)
temp
temp[,1] %>%
  unlist()

perf_lab <- c("Intercept",
                "Crowdsource survey",
                "Daily radio consumption (hours)",
                "Daily TV consumption (hours)",
                "Social media usage (0-5)",
                "News: Radio",
                "News: TV",
                "News: Newspaper",
                "News: Pamphlets",
                "News: Posters/Billboards",
                "News: Internet",
                "News: Social media",
                "News: Mosque",
                "News: Elders/Shuras",
                "News: Friends/family",
                "Shiite",
                "Female",
                "Rural locality",
                "Level of education (1-3)",
                "Madrassa education (0-3)",
                "Age group (1-3)",
                "Socio-economic status (1-10)",
                "Never married",
                "Govt. Iraq right direction",
                "Performance of federal government",
                "Feel unsafe in community (-2 to 2)",
                "Victim to or witnessed violence",
                "Ninewa",
                "Anbar",
                "Baghdad",
                "Basra")

perf_key <- data.frame(term=temp$term,
                         term_lab=perf_lab)
perf_key

tab_model(perf1,
          perf2,
          perf3,
          perf4,
          perf5,
          digits=3,
          show.ci=.95,
          show.aic=T,
          show.p=F,
          show.loglik=T,
          auto.label=F,
          collapse.ci=T,
          p.style="stars",
          pred.labels = perf_lab,
          dv.labels=c("Model 1\nBase model",
                      "Model 2\nWith media engagement",
                      "Model 3\nMedia engagement and demographics",
                      "Model 4\nMedia engagement, demographics, moderators",
                      "Model 5\nGovernorate fixed effects"),
          file="output/models/hh Premise merged/Performance merged.doc")


## performance regplot ----

perf_lm_out <- tidy_out(perf5,
                        term_key=perf_key)

perf_lm_out

perf_lm_filt <- perf_lm_out %>%
  filter(color=="#BA0C2F" | color=="#002F6C" | term=="premise")

perf_lm_filt

regplot(perf_lm_filt,
        xmin=-.25,
        xmax=.35,
        limits=c(-.154,.153))
#+
#  scale_x_continuous(breaks=seq(-.15,.35,.1),
#                     labels=percent_format(accuracy=1))

ggsave("output/viz/models/hh premise merged/perf merged.png",
       device="png",
       type="cairo",
       height=4,
       width=7)


## performance treat Bayes ----

### perf 6 ----

perf6 <- stan_glmer(USAID_performance ~ seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training +
                      (seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training | premise),
                    data=perf_merg,
                    cores=8,
                    control = list(adapt_delta=.99))

write_rds(perf6, file="output/models/hh Premise merged/performance 6.rds")

perf6 <- read_rds("output/models/hh Premise merged/performance 6.rds")

summary(perf6, digits=3)

a <- data.frame(fixef=fixef(perf6)) %>%
  rownames_to_column("term")
a

b <- ranef(perf6) %>%
  as.data.frame()
b

b_wide <- b %>%
  pivot_wider(names_from=grp,
              values_from=4:5)

b_wide

perf6_out <- a %>%
  left_join(b_wide) %>%
  mutate(Crowdsource=fixef+condval_1,
         crowdsource_sd=condsd_1,
         Household=fixef+condval_0,
         hh_sd=condsd_0) %>%
  select(1,8:11)

perf6_out

perf6_coef <- perf6_out %>%
  select(1,2,4) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="coef")

perf6_coef

perf6_sd <- perf6_out %>%
  select(1,3,5) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="sd")
perf6_sd

perf6_long <- perf6_coef %>%
  cbind(perf6_sd[,3]) %>%
  #left_join(aw_b5_sd, by="term") %>%
  filter(term!="(Intercept)") %>%
  mutate(term_lab = rep(c("Seen USAID logo",
                          "Exposed to USAID\nmedia message",
                          "Received information\nabout USAID",
                          "Aware of USAID\ndevelopment activity",
                          "Participated in\nUSAID activity"),each=2),
         lower=coef-1.96*sd,
         upper=coef+1.96*sd) %>%
  .[-10,] # remove coefficient with zero cases in hh data

perf6_long

ggplot(perf6_long, aes(x=coef, y=term_lab, color=data, group=data)) +
  geom_vline(xintercept=0, size=1, color="grey60", alpha=.7) +
  geom_errorbar(aes(xmin=lower,
                    xmax=upper),
                position=position_dodge(width=.7),
                width=0,
                size=1,
                alpha=.7) +
  geom_label(aes(label=paste0(round(coef*100,1), "%")),
             size=4.5,
             position=position_dodge(width=.7)) +
  #scale_color_manual(values=c("#BA0C2F","#002F6C")) +
  scale_color_manual(values=c("darkgoldenrod","orchid4")) +
  scale_x_continuous(limits=c(-.174, .2),
                     breaks=seq(-.15,.2,.05),
                     labels=percent_format(accuracy=1)) +
  theme(legend.title=element_blank()) +
  labs(x="",
       y="") +
  theme(legend.position="bottom")


ggsave("output/viz/models/hh premise merged/merged perf6 coefplot.png",
       type="cairo",
       device="png",
       height=5,
       width=7)


### perf 7 ----

temp <- paste(media_form, preds, mods, "as.factor(Gov)", sep="+")
temp

perf7 <- stan_glmer(USAID_performance ~ seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training +
                      daily_hrs_radio + daily_hrs_tv + social_media_ord + C15_1_bin + C15_2_bin + C15_3_bin +
                      C15_4_bin + C15_5_bin + C15_6_bin + C15_7_bin + C15_8_bin + C15_9_bin + C15_10_bin+shiite +
                      female + rural + education + madrassa_ord + age_grp + ses + never_married+right_direction +
                      perf_fed_cen + unsafe_cen + victim_witness +as.factor(Gov) +
                      (seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training | premise),
                    data=perf_merg,
                    cores=8,
                    control = list(adapt_delta=.99))

write_rds(perf7, file="output/models/hh Premise merged/performance 7.rds")

perf7 <- read_rds("output/models/hh Premise merged/performance 7.rds")

summary(perf7, digits=3)


a <- data.frame(fixef=fixef(perf7)) %>%
  rownames_to_column("term") %>%
  .[1:6,]
a

b <- ranef(perf7) %>%
  as.data.frame() %>%
  .[1:12,] # just treatment variables
b

b_wide <- b %>%
  pivot_wider(names_from=grp,
              values_from=4:5)

b_wide

perf7_out <- a %>%
  left_join(b_wide) %>%
  mutate(Crowdsource=fixef+condval_1,
         crowdsource_sd=condsd_1,
         Household=fixef+condval_0,
         hh_sd=condsd_0) %>%
  select(1,8:11)

perf7_out

perf7_coef <- perf7_out %>%
  select(1,2,4) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="coef")

perf7_coef

perf7_sd <- perf7_out %>%
  select(1,3,5) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="sd")
perf7_sd

perf7_long <- perf7_coef %>%
  cbind(perf7_sd[,3]) %>%
  #left_join(aw_b5_sd, by="term") %>%
  filter(term!="(Intercept)") %>%
  mutate(term_lab = rep(c("Seen USAID logo",
                          "Exposed to USAID\nmedia message",
                          "Received information\nabout USAID",
                          "Aware of USAID\ndevelopment activity",
                          "Participated in\nUSAID activity"),each=2),
         lower=coef-1.96*sd,
         upper=coef+1.96*sd) %>%
  .[-10,] # remove coefficient with zero cases in hh data

perf7_long

ggplot(perf7_long, aes(x=coef, y=term_lab, color=data, group=data)) +
  geom_vline(xintercept=0, size=1, color="grey60", alpha=.7) +
  geom_errorbar(aes(xmin=lower,
                    xmax=upper),
                position=position_dodge(width=.7),
                width=0,
                size=1,
                alpha=.7) +
  geom_label(aes(label=paste0(round(coef*100,1), "%")),
             size=4.5,
             position=position_dodge(width=.7)) +
  #scale_color_manual(values=c("#BA0C2F","#002F6C")) +
  scale_color_manual(values=c("darkgoldenrod","orchid4")) +
  scale_x_continuous(limits=c(-.174, .2),
                     breaks=seq(-.15,.2,.05),
                     labels=percent_format(accuracy=1)) +
  theme(legend.title=element_blank()) +
  labs(x="",
       y="") +
  theme(legend.position="bottom")


ggsave("output/viz/models/hh premise merged/merged perf7 coefplot.png",
       type="cairo",
       device="png",
       height=5,
       width=7)

## performance treat Bayes probit

.13/.36

# GOI perception ----

## GOI linear

temp <- paste(media_form, preds, mods, "as.factor(Gov)", sep="+")
temp

frq(dat$T_E2_3)

frq(perf_merg$perf_fed_cen)

goi7 <- stan_glmer(perf_fed_cen ~ seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training +
                     daily_hrs_radio + daily_hrs_tv + social_media_ord + C15_1_bin + C15_2_bin + C15_3_bin +
                     C15_4_bin + C15_5_bin + C15_6_bin + C15_7_bin + C15_8_bin + C15_9_bin + C15_10_bin + shiite +
                     female + rural + education + madrassa_ord + age_grp + ses + never_married + right_direction +
                     unsafe_cen + victim_witness + as.factor(Gov) +
                     (seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training | premise),
                   data=perf_merg,
                   cores=8,
                   control=list(adapt_delta=.99))


write_rds(goi7, file="output/models/hh Premise merged/goi 7.rds")

goi7 <- read_rds("output/models/hh Premise merged/goi 7.rds")

summary(goi7, digits=3)

plot_model(goi7)

a <- data.frame(fixef=fixef(goi7)) %>%
  rownames_to_column("term") %>%
  .[1:6,]
a

b <- ranef(goi7) %>%
  as.data.frame() %>%
  .[1:12,] # just treatment variables
b

b_wide <- b %>%
  pivot_wider(names_from=grp,
              values_from=4:5)

b_wide

goi7_out <- a %>%
  left_join(b_wide) %>%
  mutate(Crowdsource=fixef+condval_1,
         crowdsource_sd=condsd_1,
         Household=fixef+condval_0,
         hh_sd=condsd_0) %>%
  select(1,8:11)

goi7_out

goi7_coef <- goi7_out %>%
  select(1,2,4) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="coef")

goi7_coef

goi7_sd <- goi7_out %>%
  select(1,3,5) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="sd")
goi7_sd

goi7_long <- goi7_coef %>%
  cbind(goi7_sd[,3]) %>%
  #left_join(aw_b5_sd, by="term") %>%
  filter(term!="(Intercept)") %>%
  mutate(term_lab = rep(c("Seen USAID logo",
                          "Exposed to USAID\nmedia message",
                          "Received information\nabout USAID",
                          "Aware of USAID\ndevelopment activity",
                          "Participated in\nUSAID activity"),each=2),
         lower=coef-1.96*sd,
         upper=coef+1.96*sd) %>%
  .[-10,] # remove coefficient with zero cases in hh data

goi7_long

ggplot(goi7_long, aes(x=coef, y=term_lab, color=data, group=data)) +
  geom_vline(xintercept=0, size=1, color="grey60", alpha=.7) +
  geom_errorbar(aes(xmin=lower,
                    xmax=upper),
                position=position_dodge(width=.7),
                width=0,
                size=1,
                alpha=.7) +
  geom_label(aes(label=paste0(round(coef,3), "")),
             size=4.5,
             position=position_dodge(width=.7)) +
  #scale_color_manual(values=c("#BA0C2F","#002F6C")) +
  scale_color_manual(values=c("darkgoldenrod","orchid4")) +
  scale_x_continuous(limits=c(-.5, .4),
                     breaks=seq(-.5,.4,.1)) +
  theme(legend.title=element_blank()) +
  labs(x="",
       y="") +
  theme(legend.position="bottom")

#summary(goi7, digits=3)

ggsave("output/viz/models/hh premise merged/merged goi7 coefplot.png",
       type="cairo",
       device="png",
       height=5,
       width=7)

## GOI perception ordinal

goi_merg <- perf_merg %>%
  mutate(goi = ordered(perf_fed_cen))

frq(goi_merg$goi)

goi8 <- stan_polr(goi ~ seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training +
                     daily_hrs_radio + daily_hrs_tv + social_media_ord + C15_1_bin + C15_2_bin + C15_3_bin +
                     C15_4_bin + C15_5_bin + C15_6_bin + C15_7_bin + C15_8_bin + C15_9_bin + C15_10_bin + shiite +
                     female + rural + education + madrassa_ord + age_grp + ses + never_married + right_direction +
                     unsafe_cen + victim_witness + as.factor(Gov) +
                     (seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training | premise),
                   data=goi_merg,
                   cores=8,
                   control=list(adapt_delta=.99),
                   method="probit",
                  prior=R2(0.5))


write_rds(goi8, file="output/models/hh Premise merged/goi 8.rds")

goi8 <- read_rds("output/models/hh Premise merged/goi 8.rds")

summary(goi8, digits=3)


a <- data.frame(fixef=fixef(goi8)) %>%
  rownames_to_column("term") %>%
  .[1:6,]
a

b <- ranef(goi8) %>%
  as.data.frame() %>%
  .[1:12,] # just treatment variables
b

b_wide <- b %>%
  pivot_wider(names_from=grp,
              values_from=4:5)

b_wide

goi7_out <- a %>%
  left_join(b_wide) %>%
  mutate(Crowdsource=fixef+condval_1,
         crowdsource_sd=condsd_1,
         Household=fixef+condval_0,
         hh_sd=condsd_0) %>%
  select(1,8:11)

goi7_out

goi7_coef <- goi7_out %>%
  select(1,2,4) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="coef")

goi7_coef

goi7_sd <- goi7_out %>%
  select(1,3,5) %>%
  pivot_longer(cols=2:3,
               names_to="data",
               values_to="sd")
goi7_sd

goi7_long <- goi7_coef %>%
  cbind(goi7_sd[,3]) %>%
  #left_join(aw_b5_sd, by="term") %>%
  filter(term!="(Intercept)") %>%
  mutate(term_lab = rep(c("Seen USAID logo",
                          "Exposed to USAID\nmedia message",
                          "Received information\nabout USAID",
                          "Aware of USAID\ndevelopment activity",
                          "Participated in\nUSAID activity"),each=2),
         lower=coef-1.96*sd,
         upper=coef+1.96*sd) %>%
  .[-10,] # remove coefficient with zero cases in hh data

goi7_long

ggplot(goi7_long, aes(x=coef, y=term_lab, color=data, group=data)) +
  geom_vline(xintercept=0, size=1, color="grey60", alpha=.7) +
  geom_errorbar(aes(xmin=lower,
                    xmax=upper),
                position=position_dodge(width=.7),
                width=0,
                size=1,
                alpha=.7) +
  geom_label(aes(label=paste0(round(coef,3), "")),
             size=4.5,
             position=position_dodge(width=.7)) +
  #scale_color_manual(values=c("#BA0C2F","#002F6C")) +
  scale_color_manual(values=c("darkgoldenrod","orchid4")) +
  scale_x_continuous(limits=c(-.5, .4),
                     breaks=seq(-.5,.4,.1)) +
  theme(legend.title=element_blank()) +
  labs(x="",
       y="") +
  theme(legend.position="bottom")

#summary(goi7, digits=3)

ggsave("output/viz/models/hh premise merged/merged goi7 coefplot.png",
       type="cairo",
       device="png",
       height=5,
       width=7)



goi9 <- stan_glmer(goi ~ seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training +
                    daily_hrs_radio + daily_hrs_tv + social_media_ord + C15_1_bin + C15_2_bin + C15_3_bin +
                    C15_4_bin + C15_5_bin + C15_6_bin + C15_7_bin + C15_8_bin + C15_9_bin + C15_10_bin + shiite +
                    female + rural + education + madrassa_ord + age_grp + ses + never_married + right_direction +
                    unsafe_cen + victim_witness + as.factor(Gov) +
                    (seen_USAID + USAID_message + info_treat + USAID_activity + USAID_training | premise),
                  data=goi_merg,
                  cores=8,
                  control=list(adapt_delta=.99),
                  family=binomial(link="probit"))


write_rds(goi8, file="output/models/hh Premise merged/goi 8.rds")

goi8 <- read_rds("output/models/hh Premise merged/goi 8.rds")

summary(goi8, digits=3)




# diffs across merged data ----

diff_merg <- merg2 %>%
  select(id,
         hh,
         premise,
         aware,
         daily_hrs_radio,
         daily_hrs_tv,
         social_media_ord,
         C15_1_bin:C15_10_bin,
         shiite,
         female,
         rural,
         education,
         madrassa_ord,
         age_grp,
         unemployed,
         ses,
         never_married,
         right_direction,
         perf_fed_cen,
         unsafe_cen,
         victim_witness,
         Gov) %>%
  na.omit()

base

diff1 <- paste("premise ~ ", media_form, preds, mods, "as.factor(Gov)", sep="+") %>%
  formula() %>%
  lm(data=diff_merg)

summary(diff1)

temp <- tidy(diff1)
temp

diff_lab <- c("Intercept",
            "Daily radio consumption (hours)",
            "Daily TV consumption (hours)",
            "Social media usage (0-5)",
            "News: Radio",
            "News: TV",
            "News: Newspaper",
            "News: Pamphlets",
            "News: Posters/Billboards",
            "News: Internet",
            "News: Social media",
            "News: Mosque",
            "News: Elders/Shuras",
            "News: Friends/family",
            "Shiite",
            "Female",
            "Rural locality",
            "Level of education (1-3)",
            "Madrassa education (0-3)",
            "Age group (1-3)",
            "Socio-economic status (1-10)",
            "Never married",
            "Govt. Iraq right direction",
            "Performance of federal government",
            "Feel unsafe in community (-2 to 2)",
            "Victim to or witnessed violence",
            "Ninewa",
            "Anbar",
            "Baghdad",
            "Basra")

diff_key <- data.frame(term=temp$term,
                     term_lab=diff_lab)
diff_key

tab_model(diff1,
          digits=3,
          show.ci=.95,
          show.aic=T,
          show.p=F,
          show.loglik=T,
          auto.label=F,
          collapse.ci=T,
          p.style="stars",
          pred.labels = diff_lab,
          dv.labels="Model 1\nAll control variables",
#                      "Model 2\nWith media engagement",
#                      "Model 3\nMedia engagement and demographics",
#                      "Model 4\nGovernorate fixed effects"),
          file="output/models/hh Premise merged/diff merged.doc")

## diff regplot ----

diff_lm_out <- tidy_out(diff1,
                      term_key=diff_key)

diff_lm_out

diff_lm_filt <- diff_lm_out %>%
  filter(color=="#BA0C2F" | color=="#002F6C")

diff_lm_filt

regplot(diff_lm_filt,
        xmin=-.2,
        xmax=.2,
        limits=c(-.2,.23))

ggsave("output/viz/models/hh premise merged/diff merged.png",
       device="png",
       type="cairo",
       height=5,
       width=7)



